Name:		svgcleaner
Summary:	A software to remove unnecessary data from SVG files
Version:	0.9.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Utilities
URL:		https://github.com/RazrFalcon/svgcleaner
Source0:	https://github.com/RazrFalcon/svgcleaner/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	https://github.com/RazrFalcon/svgcleaner-gui/archive/v%{version}/%{name}-gui-%{version}.tar.gz
Source2:	vendor.tar.xz
Patch0:		svgcleaner-gui-suse.patch
BuildRequires:	cargo
BuildRequires:	git
BuildRequires:	rust
BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Widgets)

Requires:	p7zip

%description
Svgcleaner reduces the size of an SVG image by removing useless data such as
- temporary data used by the vector editing application
- non-optimal SVG structure representation
- unused and invisible graphical elements

%prep
%setup -q
%setup -q -a 1
%patch0 -p1
%setup -q -D -T -a 2

mkdir cargo-home
cat >cargo-home/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'
[source.vendored-sources]
directory = './vendor'
EOF

%build
export CARGO_HOME=`pwd`/cargo-home/
cargo build --release %{?_smp_mflags}

cd svgcleaner-gui-%{version}
%qmake_qt5
%make_build

%install
mkdir build
export CARGO_HOME=`pwd`/cargo-home/
cargo install --root=build

mkdir -p %{buildroot}%{_bindir}
install -Dm0775 build/bin/svgcleaner %{buildroot}%{_bindir}/svgcleaner

cd svgcleaner-gui-%{version}
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.rst CHANGELOG.md FAQ.md data/help.txt
%license LICENSE.txt
%{_bindir}/svgcleaner*
%{_datadir}/applications/svgcleaner.desktop
%{_iconsdir}/hicolor/scalable/apps/svgcleaner.svg


%changelog
* Sat Feb 04 2023 daviddavid <daviddavid> 0.9.5-1.mga9
+ Revision: 1938041
- new version: 0.9.5
- switch to Qt5
- build with cargo

* Sun Apr 03 2022 umeabot <umeabot> 0.6.2-8.mga9
+ Revision: 1841306
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.6.2-7.mga8
+ Revision: 1517305
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.6.2-6.mga7
+ Revision: 1301253
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.6.2-5.mga6
+ Revision: 946468
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 749585
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-3.mga5
+ Revision: 689628
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 wally <wally> 0.6.2-2.mga5
+ Revision: 595927
- fix menu icon

* Sat Feb 22 2014 wally <wally> 0.6.2-1.mga5
+ Revision: 595600
- imported package svgcleaner

